Config::PropertyConfigurator(3)

NAME
Log::Log4perl::Config::PropertyConfigurator - reads properties file

SYNOPSIS
This is an internal class.

    Log::Log4perl::Config::PropertyConfigurator::parse($text);

DESCRIPTION
Initializes log4perl from a properties file, stuff like

    log4j.category.a.b.c.d = WARN, A1
    log4j.category.a.b = INFO, A1

It also understands variable substitution, the following configuration is equivalent to the previous one:

    settings = WARN, A1
    log4j.category.a.b.c.d = ${settings}
    log4j.category.a.b = INFO, A1

SEE ALSO
Log::Log4perl::Config

Log::Log4perl::Config::BaseConfigurator

Log::Log4perl::Config::DOMConfigurator

Log::Log4perl::Config::LDAPConfigurator (tbd!)

AUTHOR
Kevin Goess, <cpan@goess.org> Jan-2003